petsc-3.7.1 2016-05-15
Report Typos and Errors

# MATAIJCUSP

MATMPIAIJCUSP= "aijcusp" = "mpiaijcusp" - A matrix type to be used for sparse matrices. A matrix type type whose data resides on Nvidia GPUs. These matrices can be CSR format. Many brAll matrix calculations are performed using the CUSP library. DIA and ELL Many brformats are also available Many br

This matrix type is identical to MATSEQAIJCUSP when constructed with a single process communicator, Many brand MATMPIAIJCUSP otherwise. As a result, for single process communicators, Many brMatSeqAIJSetPreallocation is supported, and similarly MatMPIAIJSetPreallocation is supported Many brfor communicators controlling multiple processes. It is recommended that you call both of Many brthe above preallocation routines for simplicity. Many br

### Options Database Keys

| -mat_type mpiaijcusp | - sets the matrix type to "mpiaijcusp" during a call to MatSetFromOptions() Many br
| -mat_cusp_storage_format csr | - sets the storage format of diagonal and off-diagonal matrices during a call to MatSetFromOptions(). Other storage formats include dia (diagonal) or ell (ellpack). Many br
| -mat_cusp_mult_diag_storage_format csr | - sets the storage format of diagonal matrix during a call to MatSetFromOptions(). Other storage formats include dia (diagonal) or ell (ellpack). Many br
| -mat_cusp_mult_offdiag_storage_format csr | - sets the storage format of off-diagonal matrix during a call to MatSetFromOptions(). Other storage formats include dia (diagonal) or ell (ellpack). Many br

Many br

.seealso: MatCreateAIJCUSP(), MATSEQAIJCUSP, MatCreateSeqAIJCUSP(), MatCUSPSetFormat(), MatCUSPStorageFormat, MatCUSPFormatOperation Many br

Level:beginner
Location:src/mat/impls/aij/mpi/mpicusp/mpiaijcusp.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html